import java.util.Arrays;
import java.util.stream.IntStream;
import java.util.stream.Stream;

public class IntStreamToCharArrayExample {

    public static void main(String[] args) {

        String javaCodeGeeks = "JavaCodeGeeks";
        // Gets IntStream of string
        IntStream chars = javaCodeGeeks.chars();
        // Map int value to char
        Stream<Character> characterStream = chars.mapToObj(c -> (char) c);
        // Converts stream of characters into Character array.
        Character[] characters = characterStream.toArray(Character[]::new);

        System.out.println(Arrays.toString(characters));
    }
}
